CREATE TABLE ar_revenue_adjustments_gt (
    REVENUE_ADJUSTMENT_ID        NUMBER(18, 0)     NOT NULL,
    REVENUE_ADJUSTMENT_NUMBER    VARCHAR2(80)      NOT NULL,
    CUSTOMER_TRX_ID              NUMBER(18, 0)     NOT NULL,
    APPLICATION_DATE             DATE          ,
    AMOUNT_MODE                  VARCHAR2(60)  ,
    AMOUNT                       NUMBER        ,
    PERCENT                      NUMBER        ,
    LINE_SELECTION_MODE          VARCHAR2(60)  ,
    FROM_CATEGORY_ID             NUMBER(18, 0) ,
    TO_CATEGORY_ID               NUMBER(18, 0) ,
    FROM_INVENTORY_ITEM_ID       NUMBER(18, 0) ,
    TO_INVENTORY_ITEM_ID         NUMBER(18, 0) ,
    FROM_CUST_TRX_LINE_ID        NUMBER(18, 0) ,
    TO_CUST_TRX_LINE_ID          NUMBER(18, 0) ,
    GL_DATE                      DATE          ,
    TYPE                         VARCHAR2(60)  ,
    REASON_CODE                  VARCHAR2(60)  ,
    COMMENTS                     VARCHAR2(4000),
    STATUS                       VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    PROGRAM_APPLICATION_ID       NUMBER(18, 0) ,
    PROGRAM_ID                   NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE          DATE          ,
    REQUEST_ID                   NUMBER(18, 0) ,
    ORG_ID                       NUMBER(18, 0)     NOT NULL,
    FROM_SALESGROUP_ID           NUMBER        ,
    TO_SALESGROUP_ID             NUMBER        ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    FROM_RESOURCE_SALESREP_ID    NUMBER        ,
    TO_RESOURCE_SALESREP_ID      NUMBER        ,
    SALES_CREDIT_TYPE            VARCHAR2(60)  ,
    SESSION_ID                   NUMBER(18, 0) ,
    REVENUE_ADJUSTMENT_ID        NUMBER(18, 0)     NOT NULL,
    REVENUE_ADJUSTMENT_NUMBER    VARCHAR2(80)      NOT NULL,
    CUSTOMER_TRX_ID              NUMBER(18, 0)     NOT NULL,
    APPLICATION_DATE             DATE          ,
    AMOUNT_MODE                  VARCHAR2(60)  ,
    AMOUNT                       NUMBER        ,
    PERCENT                      NUMBER        ,
    LINE_SELECTION_MODE          VARCHAR2(60)  ,
    FROM_CATEGORY_ID             NUMBER(18, 0) ,
    TO_CATEGORY_ID               NUMBER(18, 0) ,
    FROM_INVENTORY_ITEM_ID       NUMBER(18, 0) ,
    TO_INVENTORY_ITEM_ID         NUMBER(18, 0) ,
    FROM_CUST_TRX_LINE_ID        NUMBER(18, 0) ,
    TO_CUST_TRX_LINE_ID          NUMBER(18, 0) ,
    GL_DATE                      DATE          ,
    TYPE                         VARCHAR2(60)  ,
    REASON_CODE                  VARCHAR2(60)  ,
    COMMENTS                     VARCHAR2(4000),
    STATUS                       VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    PROGRAM_APPLICATION_ID       NUMBER(18, 0) ,
    PROGRAM_ID                   NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE          DATE          ,
    REQUEST_ID                   NUMBER(18, 0) ,
    ORG_ID                       NUMBER(18, 0)     NOT NULL,
    FROM_SALESGROUP_ID           NUMBER        ,
    TO_SALESGROUP_ID             NUMBER        ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    FROM_RESOURCE_SALESREP_ID    NUMBER        ,
    TO_RESOURCE_SALESREP_ID      NUMBER        ,
    SALES_CREDIT_TYPE            VARCHAR2(60)  ,
    SESSION_ID                   NUMBER(18, 0) 
);
